﻿
            var fsInput = null;//焦点input

            var tipsBox = document.getElementById('tipsBox');
            var tipsText = document.getElementById('tipsText');

            function showTips(tips) {
                //window.scrollTo(window.scrollX, 0); 
                tipsBox.style.display = 'block';
                tipsText.innerHTML = tips;
            }
            document.getElementById('tipsCloseBtn').onclick = function() {
                tipsBox.style.display = 'none';
                if(fsInput){fsInput.focus();}
            }

            var xmlhttp;
            function send(method, url, callback) {

                if(window.XMLHttpRequest) {
                    xmlhttp = new XMLHttpRequest();
                } else if(window.ActiveXObject) {
                    xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
                }

                if (navigator.onLine != true){ 
                    xmlhttp.onreadystatechange = callback;
                }
                xmlhttp.open(method, url, false);
                xmlhttp.onreadystatechange = callback;
                xmlhttp.send();
            }

            function round(v,e) { 
                var t=1; 
                for(;e>0;t*=10,e--); 
                for(;e<0;t/=10,e++); 
                return Math.round(v*t)/t; 
            }
            
            function isSupportLocalStorage(){
                try{
                    if(window.localStorage)
                        return true;
                }catch(e){
                    return false;
                }
                return false;
            }
            
            (function(){
                if(document.querySelectorAll("form")){
                    var mform = document.querySelectorAll("form");
                    var mformn = mform.length;
                    var color=['#80c3f3','#66d1c8','#72d679','#ffc953','#ff9678','#fd7171','#d97891','#deb1dc'];//不同颜色，用数组代替，是背景颜色。
                    for(var i=0;i<mformn;i++){
                        (function(obg){
                            var formIds = surveyIds;
                            if(isSupportLocalStorage() && localStorage["isVote"] && localStorage["isVote"].indexOf("|" + articleId + "_" + formIds[i] + "|") >= 0){
                                var resultUrl = "http://mrobot.pconline.com.cn/x/onlineinfo-survey/it/interface/common/getResult.jsp?projectId=" + formIds[i];
                                send("GET", resultUrl, function(){
                                    if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
                                        eval("result1=" + xmlhttp.responseText);
                                        if (result1.status == 200) {
                                            console.log("获取投票结果成功");
                                            var html = '<div class="app-tp"><div class="app-tp-hd">' + result1.project.name + '</div><div class="app-tp-bd">';
                                            for(var k = 0;k < result1.data.length;k++){
                                                var re = result1.data[k];
                                                html = html + '<div class="app-tp-title">' + (k + 1) + '.' + re.itemText + '<cite>(' + re.totalCount + '票)</cite></div>';
                                                html = html + '<div class="app-tp-show">';
                                                for(var x = 0;x < re.options.length;x++){
                                                    var op = re.options[x];
                                                    html = html + '<dl><dt>' + op.optionText + '</dt><dd><i><em style="width:' + (op.count == 0 ? 0 : round((op.count / re.totalCount * 100),1)) + '%"></em></i><span>' + op.count + '(' + (op.count == 0 ? 0 : round((op.count / re.totalCount * 100),1)) + '%)</span></dd></dl>'
                                                }
                                                html = html + '</div>';
                                            }
                                            html = html + '<div class="app-tp-btn"><span class="app-tp-sub">你已投票</span></div></div></div>';
                                            obg.innerHTML = html;
                                        }
                                    }
                                });
                            }

                            if(obg.getElementsByClassName("app-tp-submit").length>0){                   
                                var btn = obg.getElementsByClassName("app-tp-submit")[0];
                                if(btn){
                                    btn.onclick = function(){
                                        var inpus = [];
                                        var inptype = [];//type类型
                                        var bul = obg.querySelectorAll("ul");
                                        var buln = bul.length;
                                        var altxt = '';
                                        var isOut = false;//默认不跳出大循环
                                        for(var i=0;i<buln;i++){
                                            if(bul[i].getElementsByTagName("input").length>0){
                                                inpus.push(bul[i].getElementsByTagName("input")[0].name);
                                                inptype.push(bul[i].getElementsByTagName("input")[0].type);
                                                var txta = bul[i].getElementsByTagName("input");
                                                var txtan = txta.length;
                                                var iok = false;
                                                for(var j=0;j<txtan;j++){
                                                    if(txta[j].type=="text"){
                                                        if(txta[j].value==""){
                                                            altxt += txta[j].title+'\n';
                                                            isOut = true;
                                                            fsInput = txta[j];
                                                        }
                                                    }
                                                    if(txta[j].type=="radio"){
                                                        if(txta[j].checked==true){
                                                            iok = true;
                                                        }
                                                    }
                                                    if(txta[j].type=="checkbox"){
                                                        if(txta[j].checked==true){
                                                            iok = true;
                                                        }
                                                    }
                                                }
                                                if(iok==false){
                                                    if(txta[0].value){
                                                        altxt += txta[0].title+'\n';
                                                        isOut = true;
                                                        fsInput = txta[0];
                                                    }
                                                }
                                            }
                                            if(bul[i].getElementsByTagName("textarea").length>0){
                                                inpus.push(bul[i].getElementsByTagName("textarea")[0].name);
                                                inptype.push(bul[i].getElementsByTagName("textarea")[0].type);
                                                var txta = bul[i].getElementsByTagName("textarea");
                                                var txtan = txta.length;
                                                for(var j=0;j<txtan;j++){
                                                    if(!txta[j].value && txta[j].title){
                                                        altxt += txta[j].title+'\n';
                                                        isOut = true;
                                                        fsInput = txta[j];
                                                    }
                                                }
                                            }
                                            //跳出大循环
                                            if(isOut == true){
                                                break;
                                            }
                                        }

                                        if(altxt){//没验证通过
                                            showTips(altxt);
                                        }else{
                                            //获取表单id
                                            var inps = obg.getElementsByTagName("input");
                                            var inpsn = inps.length;
                                            var fid = '';
                                            for(var i=0;i<inpsn;i++){
                                                if(inps[i].name == "id"){
                                                    fid = inps[i].value;
                                                }
                                            }
                                            //获取提示框
                                            var tips = obg.getElementsByClassName("app-tp-tips")[0];

                                            //后面是开发用的js
                                            var paramArr = [];
                                            var param = "";
                                            for(var j = 0;j < inpus.length;j++){
                                                var name = inpus[j];
                                                var inputs = document.getElementsByName(name);
                                                for(var m = 0;m < inputs.length;m++){
                                                    var input = inputs[m];
                                                    if((input.type == "radio" || input.type == "checkbox") && input.checked == true){
                                                        paramArr.push(name + "=" + input.value);
                                                    }
                                                    if(input.type == "textarea"){
                                                        paramArr.push(name + "=" + input.value);
                                                    }
                                                }
                                            }
                                            for(var n = 0;n < paramArr.length;n++){
                                                param = param + paramArr[n] + "&";
                                            }
                                            param = param + "id=" + fid + "&ver=-1&questions=";

                                            var url = "http://mrobot.pconline.com.cn/x/onlineinfo-survey/it/submitByApp.jsp?" + param;
                                            console.log(url);
                                            send("POST", url, function() {
                                                if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
                                                    eval("result=" + xmlhttp.responseText);
                                                    if (result.status == 200) {
                                                        console.log("投票成功");
                                                        //构建html
                                                        var html = '<div class="app-tp"><div class="app-tp-hd">' + result.project.name + '</div><div class="app-tp-bd">';
                                                        for(var k = 0;k < result.data.length;k++){
                                                            var re = result.data[k];
                                                            html = html + '<div class="app-tp-title">' + (k + 1) + '.' + re.itemText + '<cite>(' + re.totalCount + '票)</cite></div>';
                                                            html = html + '<div class="app-tp-show">';
                                                            for(var x = 0;x < re.options.length;x++){
                                                                var op = re.options[x];
                                                                html = html + '<dl><dt>' + op.optionText + '</dt><dd><i><em style="width:' + (op.count == 0 ? 0 : round((op.count / re.totalCount * 100),1)) + '%"></em></i><span>' + op.count + '(' + (op.count == 0 ? 0 : round((op.count / re.totalCount * 100),1)) + '%)</span></dd></dl>'
                                                            }
                                                            html = html + '</div>';
                                                        }
                                                        html = html + '<div class="app-tp-btn"><span class="app-tp-sub">你已投票</span></div></div></div>';
                                                        obg.innerHTML = html;
                                                        
                                                        if(isSupportLocalStorage()){
                                                            if(!localStorage["isVote"] || localStorage["isVote"].indexOf("|" + articleId + "_" + fid + "|") < 0){
                                                                localStorage["isVote"] = localStorage["isVote"] + "|" + articleId + "_" + fid + "|";
                                                            }
                                                        }
                                                        
                                                    } else {
                                                        tips.style.display = "block";
                                                    }
                                                }else{
                                                    tips.style.display = "block";
                                                }
                                            });

                                            if(obg.getElementsByTagName("em")){
                                                var oem = obg.getElementsByTagName("em");
                                                var oemn = oem.length;
                                                var sjs = 0;
                                                var col = color.length;
                                                for(var i=0;i<oemn;i++){
                                                    if(i<col){
                                                        sjs = i;
                                                    }else{
                                                        sjs = parseInt(i%col);
                                                    }
                                                    oem[i].style.backgroundColor = color[sjs];
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        })(mform[i]);
                    }

                    //投票改颜色的
                    if(document.querySelectorAll("form .app-tp-show i em").length){
                        var vem = document.querySelectorAll("form .app-tp-show i em");
                        var vemn = vem.length;
                        var sjs = 0;
                        var col = color.length;
                        for(var i=0;i<vemn;i++){
                            if(i<col){
                                sjs = i;
                            }else{
                                sjs = parseInt(i%col);
                            }
                            vem[i].style.backgroundColor = color[sjs];
                        }
                    }
                }
            })()
            